#include <vdr/plugin.h>
#include <wiimote.h>
#include <wiimote_api.h>
#include "bewegung_mainmenu.h"
#include "bewegung_reader.h"

cBewegungMainmenu::cBewegungMainmenu(void)
{
  osd = NULL;
  x = (OSDMAXX2-OSDMAXX1)/2;
  y = (OSDMAXY2-OSDMAXY1)/2;
  color = clrRed;
}

cBewegungMainmenu::~cBewegungMainmenu()
{
  delete osd;
}

void cBewegungMainmenu::Show(void)
{
  osd = cOsdProvider::NewOsd(OSDMAXX1, OSDMAXY1);
  if (osd) {
    tArea Area = { OSDMAXX1, OSDMAXY1, OSDMAXX2, OSDMAXY2,  4 };
    osd->SetAreas(&Area, 1);
    osd->DrawRectangle(OSDMAXX1, OSDMAXY1, OSDMAXX2, OSDMAXY2, clrGray50);
    osd->DrawRectangle(OSDMAXX1, OSDMAXY1, OSDMAXX2, OSDMAXY2, clrBlue);
    osd->Flush();

    /*
    cWiiReaderThread *thread = cWiiReaderThread::getInstance();
#ifdef _ENABLE_FORCE
    fprintf(stderr, "FORCE x=%.3f y=%.3f z=%.3f (sum=%.3f)\n",
	    wiimote.force.x,
	    wiimote.force.y,
	    wiimote.force.z,
	    sqrt(wiimote.force.x*wiimote.force.x+wiimote.force.y*wiimote.force.y+wiimote.force.z*wiimote.force.z));
    #endif
    thread->Connect();
    */
    //    cWiiReaderThread::Init();
  }
}

eOSState cBewegungMainmenu::ProcessKey(eKeys Key)
{
  eOSState state = cOsdObject::ProcessKey(Key);

  color = clrWhite;

  if (state == osUnknown) {
    switch (Key & ~k_Repeat) {
    case kOk:     
      return osEnd;
    case kRed:
      color=clrRed;
      break;
    case kGreen:
      color=clrGreen;
      break;
    case kBlue:
      color=clrBlue;
      break;
    case kYellow:
      color=clrYellow;
      break;
    default: 
      return state;
    }

    osd->DrawRectangle(x, y, x + 3, y + 3, color);
    osd->Flush();
    state = osContinue;
  }
  return state;
}

