
#include <vector>
#include <string>
#include <getopt.h>
#include <stdlib.h>
#include <vdr/i18n.h>
#include <vdr/interface.h>
#include <vdr/plugin.h>

#include "bewegung_setup.h"
#include "bewegung_config.h"

const char* cMacChars = ":abcdef1234567890";

cMenuSetupBewegung::cMenuSetupBewegung()
{
   data = bewegungConfig;

   int current = Current();
   Clear();

   Add(new cMenuEditBoolItem(tr("Wiimote may connect"),     &data.enableConnect, tr("no"), tr("yes")));
   Add(new cMenuEditStrItem(tr("MAC-Address"),              data.macAddress, sizeof(data.macAddress),cMacChars));
   // Add(new cMenuEditIntItem(tr("Sleeping Time (ms)"),       &data.sleepTime, 100, 500));
   Add(new cMenuEditIntItem(tr("Tilt Up/Down (degree)"),    &data.tiltUpDown, 1, 89));
   Add(new cMenuEditIntItem(tr("Tilt Left/Right (degree)"), &data.tiltLeftRight, 1, 89));

   SetHelp(NULL, NULL, NULL, NULL);

   SetCurrent(Get(current));
   Display();
}

void cMenuSetupBewegung::Store(void)
{
   bewegungConfig = data;
   SetupStore("SleepTime",     data.sleepTime);
   SetupStore("MACAddress",    data.macAddress);
   SetupStore("HideMenu",      data.hidemenu);
   SetupStore("EnableConnect", data.enableConnect);
   SetupStore("TiltUpDown",    data.tiltUpDown);
   SetupStore("TiltLeftRight", data.tiltLeftRight);
}
